summaryrefslogtreecommitdiff
path: root/dev-python/python-utils/python-utils-2.4.0.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-utils/python-utils-2.4.0.ebuild')
-rw-r--r--dev-python/python-utils/python-utils-2.4.0.ebuild27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev-python/python-utils/python-utils-2.4.0.ebuild b/dev-python/python-utils/python-utils-2.4.0.ebuild
new file mode 100644
index 000000000000..f7c488c785c6
--- /dev/null
+++ b/dev-python/python-utils/python-utils-2.4.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="https://pypi.org/project/python-utils/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ find . -name '__pycache__' -prune -exec rm -rf {} \; || die "Cleaning __pycache__ failed"
+ find . -name '*.pyc' -exec rm -f {} \; || die "Cleaning *.pyc failed"
+ sed -i -e '/--cov/d' -e '/--pep8/d' -e '/--flakes/d' pytest.ini || die
+ sed -i -e 's/+ pytest-runner//' setup.py || die
+ distutils-r1_python_prepare_all
+}